Bug 211834 - Review Request: gaim-libnotify - libnotify notification plugin for gaim
Summary: Review Request: gaim-libnotify - libnotify notification plugin for gaim
Status: CLOSED DUPLICATE of bug 219050
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-10-23 13:58 UTC by Jon Nettleton
Modified: 2007-11-30 22:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-07 02:53:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jon Nettleton 2006-10-23 13:58:25 UTC
Spec URL: http://www.hekanetworks.com/~jnettlet/gaim-libnotify/gaim-libnotify.spec
SRPM URL: http://www.hekanetworks.com/~jnettlet/gaim-libnotify/gaim-libnotify-0.12-1.fc6.src.rpm
Description: Gaim-libnotify is a notification plugin for the open source 
instant messaging client Gaim that uses the libnotify infrastructure.

Comment 1 Brian Pepple 2006-10-23 21:45:33 UTC
Couple of quick notes:

1. libtool isn't needed as a BR.
2. Excluding *.a & .la files is generally frowned upon.  Instead use the
'disable-static' switch when you configure the package, so the static lib isn't
built.  Also, do something like "find $RPM_BUILD_ROOT -name '*.la' -exec rm -f
{} ';'", in the install section, to get rid of the lib archive.
3. Requires for libnotify is unnecessary.  The devel package sonames will pull
in these dependencies.

Comment 3 Mamoru TASAKA 2006-10-28 13:18:57 UTC
Hello, Jon:

Well, I cannot find your name in owners.list. Is this your first
package which you want to import to Fedora Extras?

If so, you need a sponsor. Please see:
http://fedoraproject.org/wiki/Extras/Contributors
http://fedoraproject.org/wiki/Extras/HowToGetSponsored

Comment 4 Mamoru TASAKA 2006-11-11 02:18:45 UTC
I will review this later.

Comment 5 Mamoru TASAKA 2006-11-11 14:57:24 UTC
Well, first review for this package:

1. From http://fedoraproject.org/wiki/Packaging/Guidelines :
* Use rpmlint
* Changelogs
  Rpmlint says:
--------------------------------------------
W: gaim-libnotify no-version-in-last-changelog
--------------------------------------------
  Add the specific version to Changelog. For example:
* Mon Oct 23 2006 Jon Nettleton <jon.nettleton@gmail.com> - 0.12-2
- Fixiup spec file for acceptance into Extras

* BuildRequires
  - libtool
    This is not required for BuildRequires. I can rebuild this
    by mockbuild without libtool.

2. From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :
   = Nothing.

Fix the issues above.

---------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. But before I accept
this package, someone (I am a candidate) should sponsor you.

Once you are sponsored, you have the right to formally review other 
submitters' review request and approve the packages. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines".

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" (at the time you are not sponsored, you cannot do
   a formal review) of other person's review request.

Please check the details on
http://fedoraproject.org/wiki/Extras/HowToGetSponsored
-----------------------------------------------

Comment 6 Jon Nettleton 2006-11-13 13:45:19 UTC
I think the final changes have been put in place and everything should be up to
snuff.  At least for section 1) above.  I am not sure what this means. 2) = Nothing?

Spec URL: http://www.hekanetworks.com/~jnettlet/gaim-libnotify/gaim-libnotify.spec
SRPM URL:
http://www.hekanetworks.com/~jnettlet/gaim-libnotify/gaim-libnotify-0.12-3.fc6.src.rpm


I will try and get some other review requests in this week, but I am pretty busy
and can't guarantee anything.

Comment 7 Mamoru TASAKA 2006-11-14 12:26:30 UTC
Okay, for gaim-libnotify, it is okay.

As I said in the comment #5, you have to either submit another
review request or "pre-"review other person's review requests.
Please let me know the bugzilla entry you submitted or pre-reviewed
so that I can check it.

The other person's review request which are currently blocking
FE-NEW can be checked by:

https://bugzilla.redhat.com/bugzilla/showdependencytree.cgi?id=FE-NEW&hide_resolved=1

Comment 8 Mamoru TASAKA 2006-11-24 17:01:56 UTC
ping?

Comment 9 Jon Nettleton 2006-11-24 18:19:26 UTC
Sorry, between work and being laid up with pneumonia I have had no time to
follow up on this.  If someone wants to get this into extras quicker feel free
to take over this bug and submit it.

Comment 10 Mamoru TASAKA 2006-12-02 14:06:52 UTC
Well, when you come back, please let me know on
this bug report.

Comment 11 Jon Nettleton 2006-12-07 01:33:20 UTC
Well I spent the last half hour going through almost every bug under 203520. 
Unfortunately it looks like almost every one has many reviews.  I only found 1
quick comment for bug 197445.  I will keep my eyes open and update this bug if I
make any more comments.

Comment 12 Mamoru TASAKA 2006-12-07 02:42:43 UTC
Sorry, however perhaps I don't understand what you want to
say.

As I said in comment #5, you have to either
* submit a new review request
* or do a "pre-"review of other package's review request (which is
  blocking FE-NEW)
https://bugzilla.redhat.com/bugzilla/showdependencytree.cgi?id=FE-NEW&hide_resolved=1

Comment 13 Jon Nettleton 2006-12-07 02:53:51 UTC
I am sorry this entire process is just a bit much for me.  I will close this bug
and go back to working with 3rd party repositories.  Sorry for the bother.

Comment 14 Mamoru TASAKA 2006-12-10 04:57:03 UTC

*** This bug has been marked as a duplicate of 219050 ***


Note You need to log in before you can comment on or make changes to this bug.